# $Revision: 1.16 $, $Date: 2002/08/28 10:41:17 $
Summary:	Console Font Editor
Summary(pl):	Edytor fontw konsolowych
Name:		cfe
Version:	0.12
Release:	2
License:	GPL v2
Group:		Applications/Console
Vendor:		Eugene Osintsev <osgene@omskelecom.ru>
Source0:	http://lrn.ru/~osgene/files/%{name}-%{version}.tar.gz
Patch0:         %{name}-DESTDIR.patch
URL:		http://lrn.ru/~osgene/
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cfe is a Linux console font editor which works well both on the
console and the terminal. It includes such abilities as various glyph
transforming, multi-level undo, and comparing glyphs of two fonts.

%description -l pl
cfe jest edytorem fontw konsolowych dla Linuksa, pracujcym zarwno
na konsoli jak i terminalu. Posiada takie moliwoci, jak rne
przeksztacenia fontw, wielostopniowe cofanie i porwnywanie dwch
fontw.

%prep
%setup -q
%patch -p0

%build
aclocal
%{__autoconf}
%configure
%{__make} CFLAGS="%{rpmcflags} -Wall -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/cfe
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cfe.spec,v $
Revision 1.16  2002/08/28 10:41:17  qboosh
- new %%doc, release 2

Revision 1.15  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:04:37  arturs
fixed a small typo

Revision 1.13  2002/02/25 12:06:05  marcus
- new version 0.12

Revision 1.12  2002/02/23 01:33:39  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/08 17:48:13  blues
- 0.10 (many, many bugfixes, man-page...)
- switched to ac/am stuff
- license changed to GPL v2
- added manuals
- switched to DESTDIR-style instalation
- new URLs
STBR

Revision 1.8  2001/05/02 02:43:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/07/13 23:06:44  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.6  2000/07/13 20:38:08  baggins
- release 2

Revision 1.5  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.1  2000/02/04 02:36:55  pius
- initial release
